Bug 24486 - Account Wording Information is duplicated in Patron's Fines Tab on OPAC
Summary: Account Wording Information is duplicated in Patron's Fines Tab on OPAC
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 23115
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-22 18:15 UTC by Kelly McElligott
Modified: 2020-02-17 04:10 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08


Attachments
duplicate language (39.00 KB, image/png)
2020-01-22 18:15 UTC, Kelly McElligott
Details
Bug 24486: Remove duplicated account information at the OPAC (1.51 KB, patch)
2020-01-24 14:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24486: Remove duplicated account information at the OPAC (1.58 KB, patch)
2020-01-24 19:08 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24486: Remove duplicated account information at the OPAC (1.60 KB, patch)
2020-01-27 08:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24486: Remove duplicated account information at the OPAC (1.67 KB, patch)
2020-01-27 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24486: Alternate (2.41 KB, patch)
2020-01-27 11:49 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-01-22 18:15:17 UTC
Created attachment 97749 [details]
duplicate language

When a patron is logged into the OPAC and views their Fines tab- they will see a description of the Fine duplicated.  

For example: 
Credit (Voided) (Voided) 
Fine (Accruing) (Acrruing)
Payment (Voided) (Voided)


Attaching a screenshot.

It is not necessary and could be confusing to the patron to have this duplicated per line.
Comment 1 Jonathan Druart 2020-01-24 14:38:16 UTC
Caused by
  commit efc21e6f47801503e55e3ba709a48c3f426f90ac
  Bug 23115: (follow-up) Move switches to a TT block
Comment 2 Jonathan Druart 2020-01-24 14:42:13 UTC
Created attachment 97883 [details] [review]
Bug 24486: Remove duplicated account information at the OPAC

commit efc21e6f47801503e55e3ba709a48c3f426f90ac
  Bug 23115: (follow-up) Move switches to a TT block

Duplicated the following line:
+                        [% PROCESS account_type_description account=ACCOUNT_LINE %]
                         [%- PROCESS account_status_description account=ACCOUNT_LINE -%]

Which cause the info to appear twice

Test plan:
Create a manual invoice
Pay it
Void it

Go to the opac, account
=> You should see only one "(Voided)"
Comment 3 Lucas Gass 2020-01-24 18:48:31 UTC
Hi Jonathan,

Yes I only see one one "(Voided)" but in some cases (when payment has not been voided) I see nothing at all.

I could be wrong but shouldn't it be 'account_status_description' that is deleted and 'account_type_description' that should stay?


Thank you.
Comment 4 ByWater Sandboxes 2020-01-24 19:08:40 UTC
Created attachment 97894 [details] [review]
Bug 24486: Remove duplicated account information at the OPAC

  commit efc21e6f47801503e55e3ba709a48c3f426f90ac
  Bug 23115: (follow-up) Move switches to a TT block

Duplicated the following line:
+                        [% PROCESS account_type_description account=ACCOUNT_LINE %]
                         [%- PROCESS account_status_description account=ACCOUNT_LINE -%]

Which cause the info to appear twice

Test plan:
Create a manual invoice
Pay it
Void it

Go to the opac, account
=> You should see only one "(Voided)"

Signed-off-by: Christofer Zorn <christofer.zorn@ajaxlibrary.ca>
Comment 5 Christofer Zorn 2020-01-24 19:10:44 UTC
Followed test plan and was able to duplicate the error. After applying the patch, the duplication of text was no longer there. 

Christofer
Comment 6 Jonathan Druart 2020-01-27 08:38:56 UTC
(In reply to Lucas Gass from comment #3)
> Hi Jonathan,
> 
> Yes I only see one one "(Voided)" but in some cases (when payment has not
> been voided) I see nothing at all.
> 
> I could be wrong but shouldn't it be 'account_status_description' that is
> deleted and 'account_type_description' that should stay?
> 
> 
> Thank you.

Ho you are right Lucas, the lines are not the same!
Then I do not know how to correctly fix this issue.

Martin or Nick may know.
Comment 7 Jonathan Druart 2020-01-27 08:46:04 UTC
Created attachment 97961 [details] [review]
Bug 24486: Remove duplicated account information at the OPAC

Test plan:
Create a manual invoice
Pay it
Void it

Go to the opac, account
=> You should see only one "(Voided)"
Comment 8 Jonathan Druart 2020-01-27 08:46:23 UTC
I think I finally found the proper fix.
Comment 9 Martin Renvoize 2020-01-27 10:58:37 UTC
Created attachment 97971 [details] [review]
Bug 24486: Remove duplicated account information at the OPAC

Test plan:
Create a manual invoice
Pay it
Void it

Go to the opac, account
=> You should see only one "(Voided)"

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2020-01-27 10:59:08 UTC
Good catch, trivial fix.. works as expected, Passing QA
Comment 11 Nick Clemens 2020-01-27 11:49:12 UTC
Created attachment 97973 [details] [review]
Bug 24486: Alternate

Test plan:
Create a manual invoice
Pay it
Void it

Go to the opac, account
=> You should see only one "(Voided)"
Comment 12 Martin Renvoize 2020-01-27 16:00:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 Joy Nelson 2020-02-10 22:44:25 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 14 Lucas Gass 2020-02-14 18:35:21 UTC
backported to 19.05.x for 19.05.08
Comment 15 Hayley Mapley 2020-02-17 04:10:04 UTC
Dependency not in 18.11.x, not backporting to 18.11.x series.